Index: uspace/drv/intctl/i8259/i8259.c
===================================================================
--- uspace/drv/intctl/i8259/i8259.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/intctl/i8259/i8259.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -93,7 +93,7 @@
  * @param arg	Local argument.
  */
-static void i8259_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	cap_call_handle_t callid;
+static void i8259_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	i8259_t *i8259 = NULL /* XXX */;
@@ -102,14 +102,14 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	i8259 = (i8259_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -117,17 +117,17 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case IRC_ENABLE_INTERRUPT:
-			async_answer_0(callid, pic_enable_irq(i8259,
+			async_answer_0(chandle, pic_enable_irq(i8259,
 			    IPC_GET_ARG1(call)));
 			break;
 		case IRC_DISABLE_INTERRUPT:
 			/* XXX TODO */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case IRC_CLEAR_INTERRUPT:
 			/* Noop */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/drv/intctl/icp-ic/icp-ic.c
===================================================================
--- uspace/drv/intctl/icp-ic/icp-ic.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/intctl/icp-ic/icp-ic.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -69,7 +69,7 @@
  * @param arg	Local argument.
  */
-static void icpic_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void icpic_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	icpic_t *icpic;
@@ -78,14 +78,14 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	icpic = (icpic_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
 
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
 			/* The other side has hung up. */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -93,17 +93,17 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case IRC_ENABLE_INTERRUPT:
-			async_answer_0(callid,
+			async_answer_0(chandle,
 			    icpic_enable_irq(icpic, IPC_GET_ARG1(call)));
 			break;
 		case IRC_DISABLE_INTERRUPT:
 			/* XXX TODO */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case IRC_CLEAR_INTERRUPT:
 			/* Noop */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/drv/intctl/obio/obio.c
===================================================================
--- uspace/drv/intctl/obio/obio.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/drv/intctl/obio/obio.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -73,7 +73,7 @@
  * @param arg		Local argument.
  */
-static void obio_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void obio_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	obio_t *obio;
@@ -82,5 +82,5 @@
 	 * Answer the first IPC_M_CONNECT_ME_TO call.
 	 */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	obio = (obio_t *)ddf_dev_data_get(ddf_fun_get_dev((ddf_fun_t *)arg));
@@ -89,5 +89,5 @@
 		int inr;
 
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		switch (IPC_GET_IMETHOD(call)) {
 		case IRC_ENABLE_INTERRUPT:
@@ -95,17 +95,17 @@
 			pio_set_64(&obio->regs[OBIO_IMR(inr & INO_MASK)],
 			    1UL << 31, 0);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case IRC_DISABLE_INTERRUPT:
 			/* XXX TODO */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		case IRC_CLEAR_INTERRUPT:
 			inr = IPC_GET_ARG1(call);
 			pio_write_64(&obio->regs[OBIO_CIR(inr & INO_MASK)], 0);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
Index: uspace/lib/c/generic/bd.c
===================================================================
--- uspace/lib/c/generic/bd.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/bd.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -46,5 +46,5 @@
 #include <offset.h>
 
-static void bd_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void bd_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 errno_t bd_open(async_sess_t *sess, bd_t **rbd)
@@ -196,5 +196,5 @@
 }
 
-static void bd_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void bd_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	bd_t *bd = (bd_t *)arg;
@@ -204,5 +204,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -213,5 +213,5 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/bd_srv.c
===================================================================
--- uspace/lib/c/generic/bd_srv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/bd_srv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -43,5 +43,5 @@
 #include <bd_srv.h>
 
-static void bd_read_blocks_srv(bd_srv_t *srv, cap_call_handle_t callid,
+static void bd_read_blocks_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -51,11 +51,11 @@
 	size_t size;
 	errno_t rc;
-	cap_call_handle_t rcallid;
+	cap_call_handle_t rcall_handle;
 
 	ba = MERGE_LOUP32(IPC_GET_ARG1(*call), IPC_GET_ARG2(*call));
 	cnt = IPC_GET_ARG3(*call);
 
-	if (!async_data_read_receive(&rcallid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&rcall_handle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -63,12 +63,12 @@
 	buf = malloc(size);
 	if (buf == NULL) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
 
 	if (srv->srvs->ops->read_blocks == NULL) {
-		async_answer_0(rcallid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(rcall_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		free(buf);
 		return;
@@ -77,17 +77,17 @@
 	rc = srv->srvs->ops->read_blocks(srv, ba, cnt, buf, size);
 	if (rc != EOK) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
-		free(buf);
-		return;
-	}
-
-	async_data_read_finalize(rcallid, buf, size);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		free(buf);
+		return;
+	}
+
+	async_data_read_finalize(rcall_handle, buf, size);
 
 	free(buf);
-	async_answer_0(callid, EOK);
-}
-
-static void bd_read_toc_srv(bd_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void bd_read_toc_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -96,10 +96,10 @@
 	size_t size;
 	errno_t rc;
-	cap_call_handle_t rcallid;
+	cap_call_handle_t rcall_handle;
 
 	session = IPC_GET_ARG1(*call);
 
-	if (!async_data_read_receive(&rcallid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&rcall_handle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -107,12 +107,12 @@
 	buf = malloc(size);
 	if (buf == NULL) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
 
 	if (srv->srvs->ops->read_toc == NULL) {
-		async_answer_0(rcallid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(rcall_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		free(buf);
 		return;
@@ -121,17 +121,17 @@
 	rc = srv->srvs->ops->read_toc(srv, session, buf, size);
 	if (rc != EOK) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
-		free(buf);
-		return;
-	}
-
-	async_data_read_finalize(rcallid, buf, size);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		free(buf);
+		return;
+	}
+
+	async_data_read_finalize(rcall_handle, buf, size);
 
 	free(buf);
-	async_answer_0(callid, EOK);
-}
-
-static void bd_sync_cache_srv(bd_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void bd_sync_cache_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -144,13 +144,13 @@
 
 	if (srv->srvs->ops->sync_cache == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->sync_cache(srv, ba, cnt);
-	async_answer_0(callid, rc);
-}
-
-static void bd_write_blocks_srv(bd_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void bd_write_blocks_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -166,10 +166,10 @@
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
 
 	if (srv->srvs->ops->write_blocks == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -177,8 +177,8 @@
 	rc = srv->srvs->ops->write_blocks(srv, ba, cnt, data, size);
 	free(data);
-	async_answer_0(callid, rc);
-}
-
-static void bd_get_block_size_srv(bd_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void bd_get_block_size_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -187,13 +187,13 @@
 
 	if (srv->srvs->ops->get_block_size == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->get_block_size(srv, &block_size);
-	async_answer_1(callid, rc, block_size);
-}
-
-static void bd_get_num_blocks_srv(bd_srv_t *srv, cap_call_handle_t callid,
+	async_answer_1(chandle, rc, block_size);
+}
+
+static void bd_get_num_blocks_srv(bd_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -202,10 +202,10 @@
 
 	if (srv->srvs->ops->get_num_blocks == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->get_num_blocks(srv, &num_blocks);
-	async_answer_2(callid, rc, LOWER32(num_blocks), UPPER32(num_blocks));
+	async_answer_2(chandle, rc, LOWER32(num_blocks), UPPER32(num_blocks));
 }
 
@@ -228,5 +228,5 @@
 }
 
-errno_t bd_conn(cap_call_handle_t iid, ipc_call_t *icall, bd_srvs_t *srvs)
+errno_t bd_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, bd_srvs_t *srvs)
 {
 	bd_srv_t *srv;
@@ -234,5 +234,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	srv = bd_srv_create(srvs);
@@ -252,10 +252,10 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -263,23 +263,23 @@
 		switch (method) {
 		case BD_READ_BLOCKS:
-			bd_read_blocks_srv(srv, callid, &call);
+			bd_read_blocks_srv(srv, chandle, &call);
 			break;
 		case BD_READ_TOC:
-			bd_read_toc_srv(srv, callid, &call);
+			bd_read_toc_srv(srv, chandle, &call);
 			break;
 		case BD_SYNC_CACHE:
-			bd_sync_cache_srv(srv, callid, &call);
+			bd_sync_cache_srv(srv, chandle, &call);
 			break;
 		case BD_WRITE_BLOCKS:
-			bd_write_blocks_srv(srv, callid, &call);
+			bd_write_blocks_srv(srv, chandle, &call);
 			break;
 		case BD_GET_BLOCK_SIZE:
-			bd_get_block_size_srv(srv, callid, &call);
+			bd_get_block_size_srv(srv, chandle, &call);
 			break;
 		case BD_GET_NUM_BLOCKS:
-			bd_get_num_blocks_srv(srv, callid, &call);
+			bd_get_num_blocks_srv(srv, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/lib/c/generic/inet.c
===================================================================
--- uspace/lib/c/generic/inet.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/inet.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -36,5 +36,5 @@
 #include <stdlib.h>
 
-static void inet_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void inet_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 static async_sess_t *inet_sess = NULL;
@@ -176,5 +176,5 @@
 }
 
-static void inet_ev_recv(cap_call_handle_t iid, ipc_call_t *icall)
+static void inet_ev_recv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	inet_dgram_t dgram;
@@ -183,41 +183,41 @@
 	dgram.iplink = IPC_GET_ARG2(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &dgram.src, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &dgram.src, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &dgram.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &dgram.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -225,5 +225,5 @@
 	rc = async_data_write_accept(&dgram.data, false, 0, 0, 0, &dgram.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -231,12 +231,12 @@
 	rc = inet_ev_ops->recv(&dgram);
 	free(dgram.data);
-	async_answer_0(iid, rc);
-}
-
-static void inet_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, rc);
+}
+
+static void inet_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -247,8 +247,8 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case INET_EV_RECV:
-			inet_ev_recv(callid, &call);
+			inet_ev_recv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/inet/tcp.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -637,5 +637,5 @@
  * @param icall Call data
  */
-static void tcp_ev_connected(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_connected(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -647,5 +647,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -656,5 +656,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -665,5 +665,5 @@
  * @param icall Call data
  */
-static void tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_conn_failed(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -675,5 +675,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -684,5 +684,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -693,5 +693,5 @@
  * @param icall Call data
  */
-static void tcp_ev_conn_reset(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_conn_reset(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -703,5 +703,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -712,5 +712,5 @@
 	fibril_mutex_unlock(&conn->lock);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -721,5 +721,5 @@
  * @param icall Call data
  */
-static void tcp_ev_data(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_conn_t *conn;
@@ -731,5 +731,5 @@
 	rc = tcp_conn_get(tcp, conn_id, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -741,5 +741,5 @@
 		conn->cb->data_avail(conn);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -750,7 +750,7 @@
  * @param icall Call data
  */
-static void tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	async_answer_0(iid, ENOTSUP);
+static void tcp_ev_urg_data(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	async_answer_0(icall_handle, ENOTSUP);
 }
 
@@ -761,5 +761,5 @@
  * @param icall Call data
  */
-static void tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t iid, ipc_call_t *icall)
+static void tcp_ev_new_conn(tcp_t *tcp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	tcp_listener_t *lst;
@@ -776,5 +776,5 @@
 	rc = tcp_listener_get(tcp, lst_id, &lst);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -782,5 +782,5 @@
 	rc = tcp_conn_new(tcp, conn_id, lst->cb, lst->cb_arg, &conn);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -789,5 +789,5 @@
 		cinfo = calloc(1, sizeof(tcp_in_conn_t));
 		if (cinfo == NULL) {
-			async_answer_0(iid, ENOMEM);
+			async_answer_0(icall_handle, ENOMEM);
 			return;
 		}
@@ -798,5 +798,5 @@
 		fid = fibril_create(tcp_conn_fibril, cinfo);
 		if (fid == 0) {
-			async_answer_0(iid, ENOMEM);
+			async_answer_0(icall_handle, ENOMEM);
 		}
 
@@ -804,5 +804,5 @@
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -813,13 +813,13 @@
  * @param arg Argument, TCP client
  */
-static void tcp_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void tcp_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	tcp_t *tcp = (tcp_t *)arg;
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -830,23 +830,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case TCP_EV_CONNECTED:
-			tcp_ev_connected(tcp, callid, &call);
+			tcp_ev_connected(tcp, chandle, &call);
 			break;
 		case TCP_EV_CONN_FAILED:
-			tcp_ev_conn_failed(tcp, callid, &call);
+			tcp_ev_conn_failed(tcp, chandle, &call);
 			break;
 		case TCP_EV_CONN_RESET:
-			tcp_ev_conn_reset(tcp, callid, &call);
+			tcp_ev_conn_reset(tcp, chandle, &call);
 			break;
 		case TCP_EV_DATA:
-			tcp_ev_data(tcp, callid, &call);
+			tcp_ev_data(tcp, chandle, &call);
 			break;
 		case TCP_EV_URG_DATA:
-			tcp_ev_urg_data(tcp, callid, &call);
+			tcp_ev_urg_data(tcp, chandle, &call);
 			break;
 		case TCP_EV_NEW_CONN:
-			tcp_ev_new_conn(tcp, callid, &call);
+			tcp_ev_new_conn(tcp, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/lib/c/generic/inet/udp.c
===================================================================
--- uspace/lib/c/generic/inet/udp.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/inet/udp.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -455,5 +455,5 @@
  * @param icall IPC message
  */
-static void udp_ev_data(udp_t *udp, cap_call_handle_t iid, ipc_call_t *icall)
+static void udp_ev_data(udp_t *udp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	udp_rmsg_t rmsg;
@@ -481,5 +481,5 @@
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -490,13 +490,13 @@
  * @param arg Argument, UDP client
  */
-static void udp_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void udp_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	udp_t *udp = (udp_t *)arg;
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -507,8 +507,8 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case UDP_EV_DATA:
-			udp_ev_data(udp, callid, &call);
+			udp_ev_data(udp, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
Index: uspace/lib/c/generic/inetping.c
===================================================================
--- uspace/lib/c/generic/inetping.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/inetping.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -150,5 +150,5 @@
 }
 
-static void inetping_ev_recv(cap_call_handle_t iid, ipc_call_t *icall)
+static void inetping_ev_recv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	inetping_sdu_t sdu;
@@ -156,41 +156,41 @@
 	sdu.seq_no = IPC_GET_ARG1(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(sdu.src)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &sdu.src, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &sdu.src, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(sdu.dest)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &sdu.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &sdu.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -198,5 +198,5 @@
 	rc = async_data_write_accept(&sdu.data, false, 0, 0, 0, &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -204,12 +204,12 @@
 	rc = inetping_ev_ops->recv(&sdu);
 	free(sdu.data);
-	async_answer_0(iid, rc);
-}
-
-static void inetping_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, rc);
+}
+
+static void inetping_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -220,8 +220,8 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case INETPING_EV_RECV:
-			inetping_ev_recv(callid, &call);
+			inetping_ev_recv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/io/chardev_srv.c
===================================================================
--- uspace/lib/c/generic/io/chardev_srv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/io/chardev_srv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -43,5 +43,5 @@
 static chardev_srv_t *chardev_srv_create(chardev_srvs_t *);
 
-static void chardev_read_srv(chardev_srv_t *srv, cap_call_handle_t callid,
+static void chardev_read_srv(chardev_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -50,8 +50,8 @@
 	size_t nread;
 	errno_t rc;
-	cap_call_handle_t rcallid;
+	cap_call_handle_t rcall_handle;
 
-	if (!async_data_read_receive(&rcallid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&rcall_handle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -59,12 +59,12 @@
 	buf = malloc(size);
 	if (buf == NULL) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
 
 	if (srv->srvs->ops->read == NULL) {
-		async_answer_0(rcallid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(rcall_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		free(buf);
 		return;
@@ -73,17 +73,17 @@
 	rc = srv->srvs->ops->read(srv, buf, size, &nread);
 	if (rc != EOK && nread == 0) {
-		async_answer_0(rcallid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(rcall_handle, rc);
+		async_answer_0(chandle, rc);
 		free(buf);
 		return;
 	}
 
-	async_data_read_finalize(rcallid, buf, nread);
+	async_data_read_finalize(rcall_handle, buf, nread);
 
 	free(buf);
-	async_answer_2(callid, EOK, (sysarg_t) rc, nread);
+	async_answer_2(chandle, EOK, (sysarg_t) rc, nread);
 }
 
-static void chardev_write_srv(chardev_srv_t *srv, cap_call_handle_t callid,
+static void chardev_write_srv(chardev_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -95,10 +95,10 @@
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
 
 	if (srv->srvs->ops->write == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -107,9 +107,9 @@
 	free(data);
 	if (rc != EOK && nwr == 0) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
 
-	async_answer_2(callid, EOK, (sysarg_t) rc, nwr);
+	async_answer_2(chandle, EOK, (sysarg_t) rc, nwr);
 }
 
@@ -132,5 +132,5 @@
 }
 
-errno_t chardev_conn(cap_call_handle_t iid, ipc_call_t *icall, chardev_srvs_t *srvs)
+errno_t chardev_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, chardev_srvs_t *srvs)
 {
 	chardev_srv_t *srv;
@@ -138,5 +138,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	srv = chardev_srv_create(srvs);
@@ -152,10 +152,10 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -163,14 +163,14 @@
 		switch (method) {
 		case CHARDEV_READ:
-			chardev_read_srv(srv, callid, &call);
+			chardev_read_srv(srv, chandle, &call);
 			break;
 		case CHARDEV_WRITE:
-			chardev_write_srv(srv, callid, &call);
+			chardev_write_srv(srv, chandle, &call);
 			break;
 		default:
 			if (srv->srvs->ops->def_handler != NULL)
-				srv->srvs->ops->def_handler(srv, callid, &call);
+				srv->srvs->ops->def_handler(srv, chandle, &call);
 			else
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 		}
 	}
